Xcode 10-beta error. need help

so I’m learning the courses from the ios development and I’m getting an error on the xcode 10 beta. it says

“error: variables currently must have initial value when entered at the top level of the REPL
let lifeStage: String
^”

anyone know why this error occurs? because when I switch the playground to xcode 9.4 it works perfectly fine

@anon44759713 Please check out if the error also occurs in the course playground when you get a chance and let me know if you have any other questions or issues afterwards. Thank you!

Hey Im having the same problem as described above by the other user. I am also running Xcode 10 and I tried it both on the course playground and my own playground.

UPDATE: after googling it, the error seems to go away if the code its switched to run automatically instead of manually. Kept scratching my head for hours why my code wouldn’t work!

@cristianeaston Thank you for sharing the solution - much appreciated! :]

This topic was automatically closed after 166 days. New replies are no longer allowed.